Package org.wso2.carbon.logging.appender.http

## Class SecuredHttpAppender

- java.lang.Object
- - org.apache.logging.log4j.core.AbstractLifeCycle
  - - org.apache.logging.log4j.core.filter.AbstractFilterable
    - - org.apache.logging.log4j.core.appender.AbstractAppender
      - - org.wso2.carbon.logging.appender.http.SecuredHttpAppender

- All Implemented Interfaces:
    `org.apache.logging.log4j.core.Appender`, `org.apache.logging.log4j.core.filter.Filterable`, `org.apache.logging.log4j.core.impl.LocationAware`, `org.apache.logging.log4j.core.LifeCycle`, `org.apache.logging.log4j.core.LifeCycle2`

      @Plugin(name="SecuredHttp",
              category="Core",
              elementType="appender",
              printObject=true)
      public class SecuredHttpAppender
      extends org.apache.logging.log4j.core.appender.AbstractAppender

  This implements the log4j appended that is used to publish logs to a remote server via HTTP.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SecuredHttpAppender.Builder<B extends SecuredHttpAppender.Builder<B>>` | Builds HttpAppender instances.
    `static class` | `SecuredHttpAppender.FailureWaringLevel` | Enum to represent the warning levels of the failure to publish logs to the remote server.

    - ### Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle

      `org.apache.logging.log4j.core.LifeCycle.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.logging.log4j.core.AbstractLifeCycle

      `DEFAULT_STOP_TIMEOUT, DEFAULT_STOP_TIMEUNIT, LOGGER`

    - ### Fields inherited from interface org.apache.logging.log4j.core.Appender

      `ELEMENT_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SecuredHttpAppender​(String name, org.apache.logging.log4j.core.Layout<? extends Serializable> layout, org.apache.logging.log4j.core.Filter filter, boolean ignoreExceptions, org.apache.logging.log4j.core.config.Property[] properties, HttpConnectionConfig httpConnectionConfig, int maxDiskSpaceInBytes, int maxBatchSizeInBytes)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `append​(org.apache.logging.log4j.core.LogEvent event)` |
    `static <B extends SecuredHttpAppender.Builder<B>> B` | `newBuilder()` |
    `void` | `start()` |
    `boolean` | `stop​(long timeout, TimeUnit timeUnit)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.logging.log4j.core.appender.AbstractAppender

      `error, error, error, getHandler, getLayout, getName, ignoreExceptions, parseInt, requiresLocation, setHandler, toSerializable`

    - ### Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable

      `addFilter, getFilter, getPropertyArray, hasFilter, isFiltered, removeFilter, stop`

    - ### Methods inherited from class org.apache.logging.log4j.core.AbstractLifeCycle

      `equalsImpl, getState, getStatusLogger, hashCodeImpl, initialize, isInitialized, isStarted, isStarting, isStopped, isStopping, setStarted, setStarting, setState, setStopped, setStopping, stop, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.logging.log4j.core.LifeCycle

      `getState, initialize, isStarted, isStopped, stop`

- - ### Constructor Detail

    - #### SecuredHttpAppender

          protected SecuredHttpAppender​(String name,
                                        org.apache.logging.log4j.core.Layout<? extends Serializable> layout,
                                        org.apache.logging.log4j.core.Filter filter,
                                        boolean ignoreExceptions,
                                        org.apache.logging.log4j.core.config.Property[] properties,
                                        HttpConnectionConfig httpConnectionConfig,
                                        int maxDiskSpaceInBytes,
                                        int maxBatchSizeInBytes)

  - ### Method Detail

    - #### newBuilder

          @PluginBuilderFactory
          public static <B extends SecuredHttpAppender.Builder<B>> B newBuilder()

      Returns:
        a builder for a SecuredHttpAppender.

    - #### start

          public void start()

      Specified by:
        `start` in interface `org.apache.logging.log4j.core.LifeCycle`
      Overrides:
        `start` in class `org.apache.logging.log4j.core.filter.AbstractFilterable`

    - #### append

          public void append​(org.apache.logging.log4j.core.LogEvent event)

    - #### stop

          public boolean stop​(long timeout,
                              TimeUnit timeUnit)

      Specified by:
        `stop` in interface `org.apache.logging.log4j.core.LifeCycle2`
      Overrides:
        `stop` in class `org.apache.logging.log4j.core.filter.AbstractFilterable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `org.apache.logging.log4j.core.appender.AbstractAppender`